Package org.eclipse.lemminx.settings

## Class XMLFoldingSettings

- java.lang.Object
- - org.eclipse.lemminx.settings.XMLFoldingSettings

    public class XMLFoldingSettings
    extends Object

A wrapper around LSP `FoldingRangeCapabilities`.

### Constructor Summary

Constructors
`XMLFoldingSettings()`
`XMLFoldingSettings​(boolean includeClosingTagInFold)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.lsp4j.FoldingRangeCapabilities` `getCapabilities()`
`Integer` `getRangeLimit()`
`boolean` `isIncludeClosingTagInFold()`
`void` `merge​(XMLFoldingSettings newSettings)` Merge only the given completion settings (and not the capability) in the settings.
`void` `setCapabilities​(org.eclipse.lsp4j.FoldingRangeCapabilities capabilities)`
`void` `setIncludeClosingTagInFold​(boolean includeClosingTagInFold)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLFoldingSettings

    public XMLFoldingSettings()

#### XMLFoldingSettings

    public XMLFoldingSettings​(boolean includeClosingTagInFold)

### Method Detail

#### setCapabilities

    public void setCapabilities​(org.eclipse.lsp4j.FoldingRangeCapabilities capabilities)

#### getCapabilities

    public org.eclipse.lsp4j.FoldingRangeCapabilities getCapabilities()

#### getRangeLimit

    public Integer getRangeLimit()

#### setIncludeClosingTagInFold

    public void setIncludeClosingTagInFold​(boolean includeClosingTagInFold)

#### isIncludeClosingTagInFold

    public boolean isIncludeClosingTagInFold()

#### merge

    public void merge​(XMLFoldingSettings newSettings)

Merge only the given completion settings (and not the capability) in the settings.

Parameters:
  `newSettings` - the new settings to merge.